//来电弹屏

laydate.render({
	elem: '#old_startTime',
	calendar: 'true',
	theme: '#1ab394'
});

laydate.render({
	elem: '#old_endTime',
	calendar: 'true',
	theme: '#1ab394'
});
laydate.render({
	elem: '#con_startTime',
	calendar: 'true',
	theme: '#1ab394'
});

laydate.render({
	elem: '#con_endTime',
	calendar: 'true',
	theme: '#1ab394'
});
//弹屏右侧切换效果
$(".ldtp-cr ul.ld-service li").click(function() {
	$(this).addClass("cr-click").siblings().removeClass("cr-click");
	loadOld();
});
$('.pre-add').click(function() {
	var par = $(this).parent().parent();
	par.hide().siblings().show();
})
//来电时传输的数据
var Number = helper.request.queryString("Number");
var CallID = helper.request.queryString("CallID");
$(".ldhm").val(Number);
$(".hidTel").val(Number);
$(".tel").text(Number);
$(".ldtime").text(top.getNowFormatDate());
$(".thsc").text("00:00");
$(".hidCallID").val(CallID);
$("#zxdh_").val(Number);
$("#tsdh").val(Number);
$(".thsc").text("00:00");
//获取电话所属地
$.getJSON(huayi.config.callcenter_url + 'CallInScreen/GetPhoneLocation', {
	"tel": $(".hidTel").val(),
	"token": $.cookie("token")
}, function(result) {
	if(result.state.toLowerCase() == "success") {
		$(".khgsd").text(result.data);
		$(".ldlocation").text(result.data);
	}
})
//获取信息
$.getJSON(huayi.config.callcenter_url + 'UserAccount/GetNowUser', {
	"token": $.cookie("token")
}, function(result) {
	if(result.state.toLowerCase() == "success") {
		console.log(result);

		if(result.data.role) {
			console.log(result.data);
			UserCode = result.data.user.F_UserCode;

		}

	}
})

//获取客户信息
$(".ldtel").text($(".hidTel").val());
$("#tsdh").val($(".hidTel").val());
$(".ldtel1").val($(".hidTel").val());
$.getJSON(huayi.config.callcenter_url + 'CallInScreen/GetCustomerByTel', {
	"tel": $(".hidTel").val(),
	"token": $.cookie("token")
}, function(result) {
	if(result.state.toLowerCase() == "success") {
		if(result.data.length > 0) {
			$("#zxr_").val(result.data[0].F_CustomerName);
			$("#tskh").val(result.data[0].F_CustomerName);
			$("#khid").val(result.data[0].F_CustomerId);
			$(".khbh").val(result.data[0].F_CustomerCode);
			$(".ldtel1").val(result.data[0].F_Telephone);
			$(".ldtel2").val(result.data[0].F_Mobile);
			$(".ldtel3").val(result.data[0].F_ChargeTelephone);

		}
	}
})

var timestamp = Date.parse(new Date());
loadOld();

$('.head-pic .lahei .la-before').show();
//触发来电类型第一个 点击；
$("#dicValueList li:first-child").find("label").trigger('click');
$('.head-pic .lahei .la-after').hide();

function clearInter() {
	clearInterval(timer);
}

//通话中执行变化
var timer, n = 0;

function calling() {
	$(".td-call").show();
	n = 0;
	clearInterval(timer);
	timer = setInterval(function() {
		n++;
		var m = parseInt(n / 60 % 60);
		var s = parseInt(n % 60);
		//          var thsc=toDub(m) + ":" + toDub(s);
		$(".thsc").text(toDub(m) + ":" + toDub(s));
	}, 1000);

}

function toDub(i) {
	return i < 10 ? "0" + i : "" + i;
}
//最大化 最小化效果
//最小化
//  $('.minClosed').click(function () {
//      $('.ldtp-con').removeClass('fadeInDown');
//      $('.ldtp-con').addClass('fadeOutUp');
//      $('.ldtp-con').css("display", "none");
//      $('.maxOpen').show();
//      $('.maxOpen').addClass('fadeInDown');
//  });

//最大化
//  $('.maxOpen').click(function () {
//      //触发来电类型第一个 点击；测试用
//      //$("#dicValueList li:first-child").find("label").trigger('click');
//      $('.ldtp-con').removeClass('fadeOutUp');
//      $('.ldtp-con').addClass('fadeInDown');
//      $('.ldtp-con').css("display", "block");
//      $('.maxOpen').hide();
//      $('.maxOpen').removeClass('fadeInDown');
//      $('.maxOpen').addClass('fadeInDown');
//      $('.first').removeClass('first');
//      $('.ldtp-con').addClass('first');
//
//  })
//关闭弹框
//  $(".Bacha").click(function () {
//      //清除来电类型样式
//      //debugger;
//      $('#dicValueList li').find("label").removeClass('checkedDept');
//      $('.ldtp-con').removeClass('fadeInDown');
//      $('.ldtp-con').addClass('fadeOutUp');
//      $('.ldtp-con').css("display", "none");
//      Clean();
//      top.obj.Type = "SayFree";
//      top.Send();
//  })
//顶部小头像
//  var little_pic = $('.head-pic .hp-box img').attr("src");
//  $('.maxOpen li .photo img').attr("src", little_pic);
//点击左侧菜单来电弹屏显示
//  $('.tantan').click(function () {
//      $('.maxOpen').trigger("click");
//      $('.head-pic .lahei .la-before').show();
//      $('.head-pic .lahei .la-after').hide();
//
//  })

//点击挂断
$('.head-pic .td-call .take').click(function() {
	//      top.obj.Type = "DropCall";
	////    top.obj.Type = "TurnIvr";
	//      top.obj.AgentID = $.cookie("zx_user");
	//      top.obj.AgentExten = $.cookie("extno");
	//      top.obj.IvrName = "MYD";
	//      top.obj.IvrPos = "1";
	//     	top.Send();

	top.obj.Type = "DropCall";
	top.Send();

});

//点击拉黑事件				
$('.head-pic .lahei .la-before').click(function() {
	if(!$(".hidTel").val()) {
		layer.confirm('来电号码为空！', {
			btn: ['确定']
		});
		return;
	}
	$("#time-word").val('');
	$('.ldtp-con .hei-list').show();

})
//拉黑输入框事件
$('.hei-list .bacha').click(function() {
	$('.ldtp-con .hei-list').hide();
	$("#time-word").val('');

})
var reg = /^\+?[1-9][0-9]*$/;

$('#bc').click(function() {
	var n = $("#time-word").val();
	var val = $("input[name='time']:checked").val();
	if(n) {
		if(!(reg.test(n))) {
			layer.confirm('请输入整数时间！', {
				btn: ['确定']
			});
			return;
		}
	} else {
		if(val == '4') {
			n = 0;
		} else {
			layer.confirm('请输入整数时间！', {
				btn: ['确定']
			});
			return;
		}
	}
	$.post(huayi.config.callcenter_url + 'CallInScreen/AddBlack', {
		tel: $(".hidTel").val(),
		num: n,
		type: val,
		"token": $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {

			layer.msg("拉入黑名单成功");

			$('.la-shichang .blackTime').html(result.data);
			//$('.ldtp-con .hei-list').removeClass('bounceIn');
			//$('.ldtp-con .hei-list').addClass('bounceOutUp');
			$('.ldtp-con .hei-list').hide();
			$('.head-pic .lahei .la-before').hide();
			$('.head-pic .lahei .la-after').show();
			$('.head-pic .lahei .retur').show();
		}
	})
})

$('.la-after').click(function() {
	if(!$(".hidTel").val()) {
		layer.confirm('来电号码为空！', {
			btn: ['确定']
		});
		return;
	}

	$("#time-word").val('');
	$('.ldtp-con .hei-list').show();
	$('.ldtp-con .hei-list').removeClass('bounceOutUp');
	$('.ldtp-con .hei-list').addClass('bounceIn');
})
$('.head-pic .lahei .retur').click(function() {
	$.getJSON(huayi.config.callcenter_url + 'CallInScreen/DelBlack', {
		tel: $(".hidTel").val(),
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			layer.msg("取消黑名单成功");
			$('.head-pic .lahei .retur').hide();
			$('.head-pic .lahei .la-after').hide();
			$('.head-pic .lahei .la-before').show();
		}
	})
})

//创建投诉工单
$(".addt_").click(function() {
	Statess = 0
	var value = $(' input[name="banli"]:checked ').val();
	if(!$("#cusname").val()) {
		layer.msg("请输入投诉人姓名");
	} else if(!$("#cusphone").val()) {
		layer.msg("请输入投诉电话");
	} else if(!$("#title").val()) {
		layer.msg("请输入标题");
	} else if(!$("#content").val()) {
		layer.msg("请输入内容");
	} else if(!$("#keys").val()) {
		layer.msg("请选择主题词");
	} else if(!$("#sourcearea").val()) {
		layer.msg("请选择事发区域");
	} else if(value == 1 && !$('#result').val()) {
		layer.msg("请输入直办内容");

	} else {
		Adds();
	}
})

$(".add_").click(function() {
	var tskh = $("#zxr_").val(); //咨询人：
	var tsdh = $("#zxdh_").val(); //咨询电话
	var cont = $("#zxnr_").val(); //咨询内容
	var clcont = $("#clnr_").val(); //内容
	var type = "1";
	if(!clcont) {
		layer.confirm('请输入处理内容！', {
			btn: ['确定']
		});
		return;
	}

	$.post(huayi.config.callcenter_url + 'CallInScreen/AddWorkOrder', {
		tskh: tskh,
		tsdh: tsdh,
		cont: cont,
		clcont: clcont,
		type: type,
		"token": $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			loadOld();
			$("#zxr_").val(''); //咨询人：
			$("#zxdh_").val(''); //咨询电话
			$("#zxnr_").val(''); //咨询内容
			$("#clnr_").val(''); //内容
			layer.msg("创建工单成功");
		}
	})
})

//创建投诉工单
$(".addts").click(function() {
	var tslx = $("#tslx").val();
	var tskh = $("#tskh").val();
	var tsdh = $("#tsdh").val();
	var zrbm = $("#zrbm").val();
	var zrid = $("#zrid").val();
	var clbm = $("#clbm").val();
	var clid = $("#clid").val();
	var khid = $("#khid").val();
	var type = "3";
	var cont = $("#cont").val();
	var callid = $(".hidCallID").val();

	if(!tslx) {
		layer.confirm('请选择投诉类型！', {
			btn: ['确定']
		});
		return;
	}
	if(!tskh) {
		layer.confirm('请输入客户名称！', {
			btn: ['确定']
		});
		return;
	}
	if(!tsdh) {
		layer.confirm('请输入客户电话！', {
			btn: ['确定']
		});
		return;
	}
	if(!cont) {
		layer.confirm('请输入工单内容！', {
			btn: ['确定']
		});
		return;
	}

	$.post(huayi.config.callcenter_url + 'CallInScreen/AddWorkOrder', {
		tslx: tslx,
		tskh: tskh,
		tsdh: tsdh,
		zrbm: zrbm,
		zrid: zrid,
		khid: khid,
		clbm: clbm,
		clid: clid,
		type: type,
		cont: cont,
		callid: callid,
		"token": $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			loadOld();
			$("#zrbmname").val("");
			$("#zrbm").val("");
			$("#zrid").empty()
			$("#clbmname").val("");
			$("#clbm").val("");
			$("#clid").empty()
			$("#cont").val("");

			layer.msg("创建工单成功");
		}
	})

})

function Adds() {
	var callid = $(".hidCallID").val();
	$.ajax({
		type: "post",
		url: huayi.config.callcenter_url + "/WorkOrder/AddWorkOrder",
		dataType: 'json',
		async: true,
		data: {
			cusname: $("#cusname").val(), //=投诉人姓名
			cussex: $("#cussex").val(),
			cusphone: $("#cusphone").val(), //=投诉人电话
			email: $("#email").val(),
			zipcode: $("#zipcode").val(),
			conphone: $("#conphone").val(),
			title: $("#title").val(),
			content: $("#content").val(),
			callid: callid,
			// 						files:$("#file").val(),//(多个用英文逗号,隔开)
			sourcearea: $("#sourcearea").val(), //=事发地域id
			sourceaddress: $('#sourceaddress').val(), //=事发详细地址
			source: 1, //=来源
			isresult: $(' input[name="banli"]:checked ').val(), //=（0转办1直办）
			result: $('#result').val(),
			keys: $("#keys").val(), //=关键词id(多个用英文逗号,隔开)				
			type: $("#type").val(), //=类型			
			isprotect: $(' input[name="mj"]:checked ').val(), //=(0普通1保密)
			level: $('#level').val(), //=(1普通2紧急)
			issubmit: Statess, //=（0保存1保存并提交）
			token: $.cookie("token")
		},
		success: function(data) {
			$(".ldtp-cr ul.ld-service li").eq(2).trigger("click");
			//$(".hidCallID").val("");
			layer.msg("操作成功");
			Clean();

		}
	})
}
//客户资料
$('.khzl tbody>tr>td input').attr('readonly', true);
$('.save').hide();
$('.cancel').hide();
$('.edit').click(function() {
	$('.save').show();
	$('.cancel').show();
	$('.edit').hide();
	$('.khzl tbody>tr>td input').attr('readonly', false);
	$('.khzl tbody>tr>td input').css('border-bottom', "1px solid #b3b3b3");
})
$('.cancel').click(function() {
	$('.khzl tbody>tr>td input').attr('readonly', true);
	$('.khzl tbody>tr>td input').css('border', "0");
	$('.save').hide();
	$('.cancel').hide();
	$('.edit').show();
})
//保存客户
$(".save").click(function() {
	var khid = $("#khid").val();
	var khmc = $(".khmc").val();
	var khbh = $(".khbh").val();
	var tel1 = $(".ldtel1").val();
	var tel2 = $(".ldtel2").val();
	var tel3 = $(".ldtel3").val();

	if(!khmc) {
		layer.confirm('请输入客户名称！', {
			btn: ['确定']
		});
		return;
	}
	$.post(huayi.config.callcenter_url + 'Customer/AddCustomer', {
		cid: khid,
		name: khmc,
		code: khbh,
		mobile: tel1,
		telphone: tel2,
		chargetelephone: tel3,
		"token": $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			$("#khid").val(result.data);
			$("#tskh").val(khmc);
			layer.msg("保存成功");
			$('.save').hide();
			$('.cancel').hide();
			$('.edit').show();
		}
	})
})

//知识库查询
$(".searIcon").click(function() {
	loadZSK();
})
//历史记录查询
$(".searchbtn").click(function() {
	loadOld();
})
//新增记录
$(".addjl").click(function() {
	var type = $(".ldtp-cr ul.ld-service .cr-click").attr("itemtype");
	if(type == '3') {
		$(".addgd").show();
		$(".tbold").hide();
	} else if(type == '1') {
		$(".zxbg").show();
		$(".tbold").hide();

	}
})
//加载部门人员
$("#zrbmname").click(function() {
	if($(".zrbmmenu").is(":hidden")) {
		$(".zrbmmenu").show();
	} else {
		$(".zrbmmenu").hide();
	}
})
$("#clbmname").click(function() {
	if($(".clbmmenu").is(":hidden")) {
		$(".clbmmenu").show();
	} else {
		$(".clbmmenu").hide();
	}
})
$(".col-sm-3").mouseleave(function() {
	$(".ztree").parent().hide();
})

//获取知识库
loadZSK();

function loadZSK() {
	$.getJSON(huayi.config.callcenter_url + 'CallInScreen/GetZSKList', {
		"keywords": $(".search").val(),
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(".ldcr-bottom .detail-con ul").empty();
			$(result.data).each(function(i, n) {
				var html = '<li>' +
					'   <div class="zhishi-title clearfix">' +
					'	    <a href="javascript:void(0);" >' + n.F_Title + '</a>' +
					'	    <em >' + n.F_CreateOn + '</em>' +
					'   </div>' +
					'   <div class="explancon">' +
					n.F_Content +
					'   </div>' +
					'</li>';
				$(html).appendTo($(".ldcr-bottom .detail-con ul")).find(".zhishi-title").click(function(event) {
					event.stopPropagation();
					if($(this).hasClass("active")) {
						$(this).removeClass("active")
					} else {
						$(".zhishi-title").removeClass("active");
						$(this).addClass("active");
					}
				})
			})
		}
	})

}
$('input:radio[name="banli"]').change(function() {
	if($(this).val() == '1') {
		$(".Nows_box").show();
	} else {
		$(".Nows_box").hide();
	}
})
QY($("#sourcearea"));
LB($("#type"));
ZT($("#keys"));

//通知公告
function QY(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Area/GetAreaListById", {
		"token": $.cookie("token"),
	}, function(data) {
		if(data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function(i, n) {
				$("<option value='" + n.F_AreaId + "'>" + n.F_AreaName + "</option>").appendTo(obj);
			})
		}
	})
}
//来源
function LY(obj) {
	obj.empty();
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListById", {
		"token": $.cookie("token"),
		id: 1
	}, function(data) {
		if(data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function(i, n) {
				$("<option value='" + n.F_ValueId + "'>" + n.F_Value + "</option>").appendTo(obj);
			})
		}
	})
}
//类别
function LB(obj) {
	obj.empty();
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListById", {
		"token": $.cookie("token"),
		id: 2
	}, function(data) {
		if(data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function(i, n) {
				$("<option value='" + n.F_ValueId + "'>" + n.F_Value + "</option>").appendTo(obj);
			})
		}
	})
}
//主题
function ZT(obj) {
	obj.empty();
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListById", {
		"token": $.cookie("token"),
		id: 3
	}, function(data) {
		if(data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function(i, n) {
				$("<option value='" + n.F_ValueId + "'>" + n.F_Value + "</option>").appendTo(obj);
			})
		}
	})
}

//获取历史记录
loadOld()

function loadOld() {
	$(".addgd").hide();
	$(".tbold").show();
	$(".zxbg").hide();
	var type = $(".ldtp-cr ul.ld-service .cr-click").attr("itemtype");
	if(type != '0') {
		$(".complain").hide();
		$(".complain").eq(1).show();
		//先销毁表格
		$('#orderlist').bootstrapTable('destroy');
		//初始化表格,动态从服务器加载数据
		$("#orderlist").bootstrapTable({
			method: "get", //使用get请求到服务器获取数据
			url: huayi.config.callcenter_url + "WorkOrder/GetListAll", //获取数据的Servlet地址
			striped: true, //表格显示条纹
			pagination: true, //启动分页
			pageSize: 5, //每页显示的记录数
			pageNumber: 1, //当前第几页
			pageList: [5, 10, 50, 100], //记录数可选列表
			contentType: 'application/x-www-form-urlencoded',
			search: false, //是否启用查询
			showColumns: false, //显示下拉框勾选要显示的列
			showRefresh: false, //显示刷新按钮
			sidePagination: "server", //表示服务端请求
			//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
			//设置为limit可以获取limit, offset, search, sort, order
			queryParamsType: "undefined",
			queryParams: function queryParams(params) { //设置查询参数
				var param = {
					page: params.pageNumber,
					pagesize: params.pageSize,
					tel: $(".hidTel").val(),
					type: type,
					starttime: $("#con_startTime").val(),
					endtime: $("#con_endTime").val(),
					token: $.cookie("token")
				};
				return param;
			},
			onLoadSuccess: function() { //加载成功时执行
				//layer.msg("加载成功");
			},
			onLoadError: function() { //加载失败时执行
				//layer.msg("加载数据失败", { time: 1500, icon: 2 });
			}
		});
	} else {
		$(".complain").hide();
		$(".complain").eq(0).show();
		//先销毁表格
		$('#oldlist').bootstrapTable('destroy');
		//初始化表格,动态从服务器加载数据
		$("#oldlist").bootstrapTable({
			method: "get", //使用get请求到服务器获取数据
			url: huayi.config.callcenter_url + "CallInScreen/GetOldList", //获取数据的Servlet地址
			striped: true, //表格显示条纹
			pagination: true, //启动分页
			pageSize: 5, //每页显示的记录数
			pageNumber: 1, //当前第几页
			pageList: [5, 10, 50, 100], //记录数可选列表
			contentType: 'application/x-www-form-urlencoded',
			search: false, //是否启用查询
			showColumns: false, //显示下拉框勾选要显示的列
			showRefresh: false, //显示刷新按钮
			sidePagination: "server", //表示服务端请求
			//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
			//设置为limit可以获取limit, offset, search, sort, order
			queryParamsType: "undefined",
			queryParams: function queryParams(params) { //设置查询参数
				var param = {
					page: params.pageNumber,
					pagesize: params.pageSize,
					tel: $(".hidTel").val(),
					starttime: $("#old_startTime").val(),
					endtime: $("#old_endTime").val(),
					token: $.cookie("token")
				};
				return param;
			},
			onLoadSuccess: function() { //加载成功时执行
				//layer.msg("加载成功");
			},
			onLoadError: function() { //加载失败时执行
				//layer.msg("加载数据失败", { time: 1500, icon: 2 });
			}
		});
	}
	if(type == '3') {
		getLX($("#tslx"), "TSLX");
		getBM($("#zrbmtree"));
		getBM($("#clbmtree"));
	}
}

function GetCallState(val) {
	if(val == '1') {
		return '已接通';
	} else {
		return '未接通';
	}
}

//音频
function setCode(val) {
	if(val) {
		return '<div class="imgs" style="cursor: pointer;">' +
			'<img src="../img/vice.png" alt="" onclick= ck(this) item="' + val + '" />' +
			'</div>';
	} else {
		return '';
	}
}
//录音
function ck(val) {
	var path = $(val).attr("item");
	$(".t-shade").addClass("cx");
	$(".Ly_box").empty();
	$(".down").attr("href", path);
	$('<audio style="width: 100%;"class=" " src="' + path + '" loop="loop" controls="controls" ></audio>').appendTo(".Ly_box");
}

function GetDealState(val) {
	if(val == '1') {
		return '已处理';
	} else {
		return '未处理';
	}
}

function GetStateName(val) {
	var str = '';
	switch(val + '') {
		case '0':
			str = "待指派";
			break;
		case '1':
			str = "处理中";
			break;
		case '2':
			str = "已完结";
			break;
	}
	return str;
}

function GetLink(val) {
	if(val) {
		return '<a onclick="ckxq(' + val + ')">' + val + '</a>';
	} else {
		return '';
	}
}
//查看详情
function ckxq(str) {
	layer.open({
		type: 2,
		content: "CommonHtml/WorkDatil.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '工单详情',
		area: ['85%', '80%'], //宽高
	});
}
//截取字符串
function GetCont(val) {
	if(val) {
		var str = '<div '
		if(val.length > 10) {
			str = str + ' title="' + val + '" ';
			val = val.substr(0, 10) + "...";
		}
		return str + '>' + val + '</div>';
	} else {
		return '';
	}
}
//清空
function Clean() {
	//左侧
	//debugger;
	$('.ldname').val(''); //投诉人
	$('#khid').val('');
	$('.tsdh').val(''); //投诉电话
	$('.ldlocation').text('未知'); //归属地
	$('.lxr').val(''); //联系人
	$('.lxdh').val(''); //联系电话
	$('.postcode').val(''); //邮编
	$('.email').val(''); //email
	$('.ldtime').val(''); //来电时间
	//右侧
	$("#cusname").val(''); //=投诉人姓名
	$("#cussex").val('');
	$("#cusphone").val(''); //=投诉人电话
	$("#email").val('');
	$("#zipcode").val('');
	$("#conphone").val('');
	$("#title").val('');
	$("#content").val('');
	$("#sourcearea").val(); //=事发地域id
	$('#sourceaddress').val(''); //=事发详细地址
	$("input[name='baomi'][value='1']").prop("checked", true); //=（0转办1直办）
	$("#type option:first").prop("selected", 'selected');
	$("#level option:first").prop("selected", 'selected');
	$("#keys option:first").prop("selected", 'selected');
	$("#sourcearea option:first").prop("selected", 'selected');
	$('#result').val('');

}

//获取类型
function getLX(obj, type) {
	obj.empty();
	$.getJSON(huayi.config.callcenter_url + 'Dictionary/GetDicValueListByFlag', {
		"flag": type,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(result.data).each(function(i, n) {
				obj.append('<option value="' + n.F_DictionaryValueId + '">' + n.F_Name + '</option>');
			})
		}
	})
}
//获取部门
var setting = {
	data: {
		key: {
			name: "F_DeptName"
		},
		simpleData: {
			enable: true,
			idKey: "F_DeptId",
			pIdKey: "F_ParentId",
			rootPId: 0
		}
	},
	callback: {
		onClick: zTreeOnClick
	}
};

function getBM(obj) {
	$.getJSON(huayi.config.callcenter_url + 'Department/GetAllList', {
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$.fn.zTree.init(obj, setting, result.data);
		}
	})
}

function zTreeOnClick(event, treeId, treeNode) {
	var obj = $("#" + event.data.treeId).parent();
	obj.parent().find("input").eq(0).val(treeNode.F_DeptName);
	obj.parent().find("input").eq(1).val(treeNode.F_DeptId);
	obj.hide();
	if(event.data.treeId == "zrbmtree") {
		getRY($("#zrid"), $("#zrbm").val());
	}
	if(event.data.treeId == "clbmtree") {
		getRY($("#clid"), $("#clbm").val());
	}
};
//获取人员
function getRY(obj, deptid) {
	obj.empty();
	obj.append('<option value="">--请选择--</option>');
	$.getJSON(huayi.config.callcenter_url + 'UserAccount/GetDeptUserList', {
		"deptid": deptid,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(result.data).each(function(i, n) {
				obj.append('<option value="' + n.F_UserId + '">' + n.F_UserName + '</option>');
			})
		}
	})
}